Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
bank-transactions
/
{transactionId}
/
documents
/
{documentId}
Fetch transaction document
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-transactions/{transactionId}/documents/{documentId} \
  --header 'Authorization: Bearer <token>'
{
  "type": "S3_Presigned_Url",
  "presignedUrl": "https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\n",
  "fileType": "csv"
}

Documentation Index

Fetch the complete documentation index at: https://docs.layerfi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json.

Path Parameters

businessId
string
required

The UUID of the business that the transaction to fetch the document for belongs to.

documentId
string
required

The UUID of the document to fetch.

Response

A pre-signed URL to download a document.

type
string

Resource type. Value will be 'S3_Presigned_Url'.

Example:

"S3_Presigned_Url"

presignedUrl
string

Pre-signed URL to download a document.

Example:

"https://example-bucket.s3.amazonaws.com/example-object?X-Amz-Algorithm=AWS4-HMAC-SHA256&X-Amz-Credential=FAKEAWSACCESSKEY%2F20240710%2Fus-west-1%2Fs3%2Faws4_request&X-Amz-Date=20240710T000000Z&X-Amz-Expires=3600&X-Amz-SignedHeaders=host&X-Amz-Signature=FAKESIGNATURE1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef\n"

fileType
string

The file type of the document.

Example:

"csv"